package dao

import (
	"youngee_b_api/app/entity"
)

type InfoAutoDefaultDao struct{}

// 获取指定 enterpriseId 下的最新一条自动任务配置
func (d InfoAutoDefaultDao) GetAutoDefaultLast(enterpriseId string) entity.InfoAutoDefault {
	autoDefaultInfo := entity.InfoAutoDefault{}
	Db.Model(&entity.InfoAutoDefault{}).Where("enterprise_id = ?", enterpriseId).Last(&autoDefaultInfo)
	if autoDefaultInfo.AutoDefaultID == 0 {
		Db.Model(&entity.InfoAutoDefault{}).Where("auto_default_id = ?", 0).Find(&autoDefaultInfo)
	}
	return autoDefaultInfo
}

// 获取指定 auto_default_id 的字段值
func (d InfoAutoDefaultDao) GetValueById(autoDefaultId int64) (entity.InfoAutoDefault, error) {
	var infoAutoDefault entity.InfoAutoDefault
	err := Db.Model(&entity.InfoAutoDefault{}).Where("auto_default_id = ?", autoDefaultId).Find(&infoAutoDefault).Error
	return infoAutoDefault, err
}

// 为当前 enterpriseId 插入新的策略配置
func (d InfoAutoDefaultDao) Insert(infoAutoDefault entity.InfoAutoDefault) error {
	err := Db.Model(&entity.InfoAutoDefault{}).Create(&infoAutoDefault).Error
	return err
}
